--    ▄██████▄  ███▄▄▄▄    ▄██████▄    ▄▄▄▄███▄▄▄▄      ▄████████ ▀█████████▄     ▄████████    ▄████████    ▄████████ 
--    ███    ███ ███▀▀▀██▄ ███    ███ ▄██▀▀▀███▀▀▀██▄   ███    ███   ███    ███   ███    ███   ███    ███   ███    ███ 
--    ███    █▀  ███   ███ ███    ███ ███   ███   ███   ███    █▀    ███    ███   ███    ███   ███    ███   ███    █▀  
--   ▄███        ███   ███ ███    ███ ███   ███   ███  ▄███▄▄▄      ▄███▄▄▄██▀    ███    ███  ▄███▄▄▄▄██▀   ███        
--  ▀▀███ ████▄  ███   ███ ███    ███ ███   ███   ███ ▀▀███▀▀▀     ▀▀███▀▀▀██▄  ▀███████████ ▀▀███▀▀▀▀▀   ▀███████████ 
--    ███    ███ ███   ███ ███    ███ ███   ███   ███   ███    █▄    ███    ██▄   ███    ███ ▀███████████          ███ 
--    ███    ███ ███   ███ ███    ███ ███   ███   ███   ███    ███   ███    ███   ███    ███   ███    ███    ▄█    ███ 
--    ████████▀   ▀█   █▀   ▀██████▀   ▀█   ███   █▀    ██████████ ▄█████████▀    ███    █▀    ███    ███  ▄████████▀  
--                                                                                             ███    ███              
--                          
--
--            By: maemento mori - https://steamcommunity.com/id/Meylmao/myworkshopfiles/?appid=108600


require 'Items/SuburbsDistributions'
require 'Items/ProceduralDistributions'
require 'Vehicles/VehicleDistributions'

local itemNames = {
    "GnomeBars.GnomeBarRB",
    "GnomeBars.GnomeBarBlueRazz",
    "GnomeBars.GnomeBarWatermelonIce",
    "GnomeBars.GnomeBarPinkLemonade",
    "GnomeBars.GnomeBarBlackIce",
    "GnomeBars.GnomeBarCoolMint",
    "GnomeBars.GnomeBarBananaIce",
    "GnomeBars.GnomeBarLemonMint",
    "GnomeBars.GnomeBarStrawNana",
    "GnomeBars.GnomeBarCherryIce",
	"GnomeBars.GnomeBarAppleIce",
	"GnomeBars.GnomeBarGlitch",
}

local zombieChance = 0.15
local regularChance = 0.2;
local schoolChance = 0.005;
local emptyChance = 0.075;

--  #   Add GnomeBars to zombie inventories
for _, item in ipairs(itemNames) do 
    table.insert(SuburbsDistributions["all"]["inventorymale"].items, item);
    table.insert(SuburbsDistributions["all"]["inventorymale"].items, zombieChance);
    table.insert(SuburbsDistributions["all"]["inventoryfemale"].items, item);
    table.insert(SuburbsDistributions["all"]["inventoryfemale"].items, zombieChance); 
    -- // print("Loading GnomeBar ("..item..") to INVENTORIES ....... SUCCESS!");
end

--  #   Add GnomeBars to regular cigarette spawns
local GBLocaleStore = {"StoreCounterTobacco", "CrateCigarettes", "OtherGeneric", "BarCounterMisc"}
	for i in pairs(GBLocaleStore) do
		if ProceduralDistributions.list[GBLocaleStore[i]] == nil then
			print("FAILURE -- could not find " .. GBLocaleStore[i] .. "!");
		else
			if ProceduralDistributions.list[GBLocaleStore[i]].items == nil then
				print("FAILURE -- could not find " .. GBLocaleStore[i] .. "!");
			else
                for _, item in ipairs(itemNames) do 
			    table.insert(ProceduralDistributions.list[GBLocaleStore[i]].items, item);
			    table.insert(ProceduralDistributions.list[GBLocaleStore[i]].items, regularChance);

			end
			-- // print("Loading GnomeBar store items to " .. GBLocaleStore[i] .. " ....... SUCCESS!");
			end
		end
	end


--  #   Add GnomeBars to generic locations
local GBLocaleGeneric = {"DeskGeneric", "BathroomCounter", "JanitorMisc", "BedroomSideTable", "OfficeDesk", "OfficeDeskHome", "PlankStashMoney", "PoliceDesk", "PrisonCellRandom", "CrateElectronics", "BedroomDresser", "WardrobeChild", "BreakRoomCounter", "BreakRoomShelves", }
    for i in pairs(GBLocaleGeneric) do
		if ProceduralDistributions.list[GBLocaleGeneric[i]] == nil then
			print("FAILURE -- could not find " .. GBLocaleGeneric[i] .. "!");
		else
			if ProceduralDistributions.list[GBLocaleGeneric[i]].items == nil then
				print("FAILURE -- could not find " .. GBLocaleGeneric[i] .. "!");
			else
                for _, item in ipairs(itemNames) do 
			    table.insert(ProceduralDistributions.list[GBLocaleGeneric[i]].items, item);
			    table.insert(ProceduralDistributions.list[GBLocaleGeneric[i]].items, regularChance);

			end
			-- // print("Loading GnomeBar Generic items to " .. GBLocaleGeneric[i] .. " ....... SUCCESS!");
			end
		end
	end

--  #   Add GnomeBars to lockers
local GBLocaleLockers = {"FactoryLockers","GymLockers","HospitalLockers","PoliceLockers","PrisonGuardLockers","FireDeptLockers","LockerArmyBedroom"}
    for i in pairs(GBLocaleLockers) do
		if ProceduralDistributions.list[GBLocaleLockers[i]] == nil then
			print("FAILURE -- could not find " .. GBLocaleLockers[i] .. "!");
		else
			if ProceduralDistributions.list[GBLocaleLockers[i]].items == nil then
				print("FAILURE -- could not find " .. GBLocaleLockers[i] .. "!");
			else
                for _, item in ipairs(itemNames) do 
			    table.insert(ProceduralDistributions.list[GBLocaleLockers[i]].items, item);
			    table.insert(ProceduralDistributions.list[GBLocaleLockers[i]].items, regularChance);

			end
			-- // print("Loading GnomeBar Locker items to " .. GBLocaleLockers[i] .. " ....... SUCCESS!");
			end
		end
	end

--  #   Distribution for empty GnomeBars
local GBLocaleEmpty = {"CrateRandomJunk","CrateCigarettes", "BarCounterMisc", "bin", "sidetable"}
    for i in pairs(GBLocaleEmpty) do
		if ProceduralDistributions.list[GBLocaleEmpty[i]] == nil then
			print("FAILURE -- could not find " .. GBLocaleEmpty[i] .. "!");
		else
			if ProceduralDistributions.list[GBLocaleEmpty[i]].items == nil then
				print("FAILURE -- could not find " .. GBLocaleEmpty[i] .. "!");
			else
                for _, item in ipairs(itemNames) do 
			    table.insert(ProceduralDistributions.list[GBLocaleEmpty[i]].items, item);
			    table.insert(ProceduralDistributions.list[GBLocaleEmpty[i]].items, emptyChance);

			end
			-- // print("Loading Empty GnomeBar items to " .. GBLocaleEmpty[i] .. " ....... SUCCESS!");
			end
		end
	end

--  #   Add GnomeBars to schools
local GBLocaleSchool = {"ClassroomDesk", "ClassroomMisc", "ClassroomShelves" , "ClassroomShelves"}
    for i in pairs(GBLocaleSchool) do
		if ProceduralDistributions.list[GBLocaleSchool[i]] == nil then
			print("FAILURE -- could not find " .. GBLocaleSchool[i] .. "!");
		else
			if ProceduralDistributions.list[GBLocaleSchool[i]].items == nil then
				print("FAILURE -- could not find " .. GBLocaleSchool[i] .. "!");
			else
                for _, item in ipairs(itemNames) do 
			    table.insert(ProceduralDistributions.list[GBLocaleSchool[i]].items, item);
			    table.insert(ProceduralDistributions.list[GBLocaleSchool[i]].items, schoolChance);

			end
			-- // print("Loading GnomeBar School items to " .. GBLocaleSchool[i] .. " ....... SUCCESS!");
			end
		end
	end

--  #   Add GnomeBars to gloveboxes
local GBLocaleVehicle = {"GloveBox"}
    for i in pairs(GBLocaleVehicle) do
		if ProceduralDistributions.list[GBLocaleVehicle[i]] == nil then
			print("FAILURE -- could not find " .. GBLocaleVehicle[i] .. "!");
		else
			if ProceduralDistributions.list[GBLocaleVehicle[i]].items == nil then
				print("FAILURE -- could not find " .. GBLocaleVehicle[i] .. "!");
			else
                for _, item in ipairs(itemNames) do 
			    table.insert(ProceduralDistributions.list[GBLocaleVehicle[i]].items, item);
			    table.insert(ProceduralDistributions.list[GBLocaleVehicle[i]].items, schoolChance);

			end
			-- // print("Loading GnomeBar School items to " .. GBLocaleSchool[i] .. " ....... SUCCESS!");
			end
		end
	end

--  #     ▄▄▄▄███▄▄▄▄      ▄████████    ▄████████    ▄▄▄▄███▄▄▄▄      ▄████████ ███▄▄▄▄       ███      ▄██████▄          ▄▄▄▄███▄▄▄▄    ▄██████▄     ▄████████  ▄█  
--  #   ▄██▀▀▀███▀▀▀██▄   ███    ███   ███    ███  ▄██▀▀▀███▀▀▀██▄   ███    ███ ███▀▀▀██▄ ▀█████████▄ ███    ███       ▄██▀▀▀███▀▀▀██▄ ███    ███   ███    ███ ███  
--  #   ███   ███   ███   ███    ███   ███    █▀   ███   ███   ███   ███    █▀  ███   ███    ▀███▀▀██ ███    ███       ███   ███   ███ ███    ███   ███    ███ ███▌ 
--  #   ███   ███   ███   ███    ███  ▄███▄▄▄      ███   ███   ███  ▄███▄▄▄     ███   ███     ███   ▀ ███    ███       ███   ███   ███ ███    ███  ▄███▄▄▄▄██▀ ███▌ 
--  #   ███   ███   ███ ▀███████████ ▀▀███▀▀▀      ███   ███   ███ ▀▀███▀▀▀     ███   ███     ███     ███    ███       ███   ███   ███ ███    ███ ▀▀███▀▀▀▀▀   ███▌ 
--  #   ███   ███   ███   ███    ███   ███    █▄   ███   ███   ███   ███    █▄  ███   ███     ███     ███    ███       ███   ███   ███ ███    ███ ▀███████████ ███  
--  #   ███   ███   ███   ███    ███   ███    ███  ███   ███   ███   ███    ███ ███   ███     ███     ███    ███       ███   ███   ███ ███    ███   ███    ███ ███  
--  #    ▀█   ███   █▀    ███    █▀    ██████████   ▀█   ███   █▀    ██████████  ▀█   █▀     ▄████▀    ▀██████▀         ▀█   ███   █▀   ▀██████▀    ███    ███ █▀   
--  #                                                                                                                                               ███    ███      



